> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Earliest free start time on a channel

> Return the earliest start time a channel is free for ``duration_seconds``.

``next_available_start`` is ``null`` when the channel is occupied by a
running measurement with no known end time.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /projects/{project_id}/planned_measurements/next_available
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /projects/{project_id}/planned_measurements/next_available:
    get:
      tags:
        - Planned Measurements
      summary: Earliest free start time on a channel
      description: >-
        Return the earliest start time a channel is free for
        ``duration_seconds``.


        ``next_available_start`` is ``null`` when the channel is occupied by a

        running measurement with no known end time.
      operationId: >-
        next_available_start_projects__project_id__planned_measurements_next_available_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: channel_id
          in: query
          required: true
          schema:
            type: string
            title: Channel Id
        - name: duration_seconds
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            title: Duration Seconds
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````